Index: trunk/info/info/alkisn/alkisbestnw.php
===================================================================
--- trunk/info/info/alkisn/alkisbestnw.php	(revision 402)
+++ trunk/info/info/alkisn/alkisbestnw.php	(revision 405)
@@ -12,4 +12,5 @@
 	2017-10-09 SchlÃŒssel der Blattart bei berechtigten BlÃ€ttern, sauber filtern auf endet IS NULL
 	2018-04-23 Blatt und EigentÃŒmer in eine Tabelle.
+	2018-05-03 Anpassung an GrundstÃŒcksnachweis, kein Export fÃŒr fiktives Blatt
 */
 session_start();
@@ -37,6 +38,6 @@
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Grundbuch.ico">
 	<script type="text/javascript">
-		function ALKISexport() {
-			window.open(<?php echo "'alkisexport.php?gkz=".$gkz."&tabtyp=grundbuch&gmlid=".$gmlid."'"; ?>);
+		function ALKISexport(gmlid) {
+			window.open('alkisexport.php?gkz=<?php echo $gkz;?>&tabtyp=grundbuch&gmlid=' + gmlid);
 		}
 	</script>
@@ -107,6 +108,5 @@
 if ($blattkey == 5000) { // fikt. Blatt
 	echo "\n<p>Keine Angaben zum Eigentum bei fiktivem Blatt.</p>";
-} else {
-	// E I G E N T U E M E R
+} else { // E I G E N T U E M E R
 	$n = eigentuemer($gmlid, true, ""); // MIT Adressen.
 	if ($n == 0) { // keine NamensNr, kein Eigentuemer
@@ -171,9 +171,7 @@
 FROM ax_buchungsstelle s LEFT JOIN alkis_wertearten b ON cast(s.buchungsart AS character varying)=b.k AND b.element='ax_buchungsstelle' and b.bezeichnung='buchungsart'
 WHERE s.istbestandteilvon= $1 AND s.endet IS NULL ORDER BY cast(s.laufendenummer AS integer);";
-
 $v=array($gmlid); // Rel. istBestandteilVon
 $res=pg_prepare("", $sql);
 $res=pg_execute("", $v);
-
 if (!$res) {
 	echo "\n<p class='err'>Fehler bei Buchung.</p>";
@@ -190,5 +188,4 @@
 	$bart=$row["bart"]; // BuchungsART Text dazu
 	$bartstory=htmlentities($row["d"], ENT_QUOTES, "UTF-8"); // .. fÃŒr Anzeige aufbereitet
-
 	if ($row["zaehler"] == "") {
 		$anteil = "";
@@ -196,14 +193,13 @@
 		$anteil = $row["zaehler"]."/".$row["nenner"];
 	}
-
 	if ($zpaar) {$trclass='paa';} else {$trclass='unp';} // Farbwechsel je GrundstÃŒck
 	$zpaar=!$zpaar;
 
 	// F l u r s t u e c k s d a t e n  zur direkten Buchungsstelle
-	$j = bnw_fsdaten($con, $lfdnr, $gml_bs, $bart, $anteil, true, $bartkey, $bartstory); // return=Anzahl der FS
+	$j = bnw_fsdaten($lfdnr, $gml_bs, $bart, $anteil, true, $bartkey, $bartstory); // return=Anzahl der FS
 	$fscnt=$fscnt + $j;
 	if ($j == 0) { //  k e i n e  Flurstuecke gefunden (Miteigentumsnteil usw.)
-		// Bei "normalen" Grundstuecken wurden Flurstuecksdaten gefunden und ausgegeben.
-		// Bei Miteigentumsanteil, Erbbaurecht usw. muss nach weiteren Buchungsstellen gesucht werden:
+		// Bei "normalen" Grundstuecken wurden hier Flurstuecksdaten gefunden und ausgegeben.
+		// Bei Miteigentumsanteil, Erbbaurecht usw. muss nach den "dienenden" Buchungsstellen gesucht werden, darauf sind die FS gebucht.
 		//  Buchungsstelle >an/zu> (andere)Buchungsstelle >istBestandTeilVon> "FiktivesBlatt (ohne) Eigentuemer"
 
@@ -224,5 +220,5 @@
 		."ORDER BY uni.lfd;";
 	//	Testfall suchen: SELECT gml_id, zu, durch FROM ax_buchungsstelle WHERE NOT zu IS NULL OR NOT durch IS NULL;
-	//	Die Relationen "an" und "durch" kommen in der Praxis nicht vor.
+	//	Die Relationen "zu" und "durch" kommen in der Praxis nicht vor.
 
 		$v=array($gml_bs); // gml_id der "herrschenden" Buchungs-Stelle
@@ -242,6 +238,5 @@
 			$anzu=$rowan["anzu"];	// Welche Relation? Recht an oder Recht zu ?
 
-			// a n d e r e s   B l a t t  (an dem das aktuelle Blatt Rechte hat)
-			// dienendes Grundbuch
+			// dienende Buchungsstelle
 			$sql ="SELECT b.gml_id, b.land, b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung AS blatt, b.blattart, wb.v AS blattartv, z.bezeichnung AS beznam "
 			."FROM ax_buchungsblatt b JOIN ax_buchungsstelle s ON b.gml_id=s.istbestandteilvon "
@@ -270,6 +265,5 @@
 				echo "\n<p class='err'>Anzahl fiktive Bl&auml;tter zu anderer Buchungstelle = ".$b."</p>";
 			}
-
-			// G r u n d b u c h d a t e n  zur  a n d e r e n  Buchungsstelle
+			// Grundbuchdaten zur dienenden Buchungsstelle
 			echo "\n<tr class='".$trclass."'>"
 				."\n\t<td id='bvnr".$lfdnr."'>"; // Sp.1 Erbbau BVNR, Sprungmarke
@@ -298,4 +292,9 @@
 				."\n\t<td>" // Sp.8 Link ("an" oder "zu"?)
 					."\n\t\t<p class='nwlink noprint'>".$anzu; // Recht "an" oder "zu"
+
+					// Buchung
+					// +++ <a  gsnachw 
+
+					// Bestand
 					if ($showkey) {echo " <span class='key'>".$fbbartkey."</span>";} // Blatt-Art SchlÃŒssel
 					echo "\n\t\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$fbgml;
@@ -304,12 +303,13 @@
 						."' title='Zum Grundbuchnachweis des dienenden Blattes'>";
 						echo $fbbart // Blatt-Art entschlÃŒsselt
-					." <img src='ico/GBBlatt_link.png' width='16' height='16' alt=''></a>\n\t\t</p>"
+					." <img src='ico/GBBlatt_link.png' width='16' height='16' alt=''></a>";
+
+					echo "\n\t\t</p>"
 				."\n\t</td>"
 			."\n</tr>"; 
 
-			// F l u r s t u e c k s d a t e n  zur  a n d e r e n  Buchungsstelle
+			// Flurstuecksdaten zur dienenden Buchungsstelle
 			// Buchungsart wird nur in erster Zeile ausgegeben, hier leer
-
-			$aj = bnw_fsdaten($con, $lfdnran, $gml_bsan, "", $anteil, false, "", ""); // return=Anz.FS
+			$aj = bnw_fsdaten($lfdnran, $gml_bsan, "", $anteil, false, "", ""); // return=Anz.FS
 			$fscnt=$fscnt + $aj;
 			if ($rowan["nrap"] != "") {
@@ -429,10 +429,11 @@
 		."\n\t<td>"
 			."\n\t\t<p class='nwlink noprint'>";
-			if ($showkey) {echo "<span class='key'>".$blart."</span> ";} // NEU!
+			// Bestand
+			if ($showkey) {echo "<span class='key'>".$blart."</span> ";}
 			echo "\n\t\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$gml_b;
 				if ($showkey) {echo "&amp;showkey=j";}
 				echo "#bvnr".$lfdnr."' title='Nachweis des berechtigten Blattes an einer Buchung auf ".$blattart."'>".$rowb["blattartv"]; // "an" ggf. durch "zu" ersetzen?
-				echo " \n\t\t\t<img src='ico/GBBlatt_link.png' width='16' height='16' alt=''></a>"
-			."\n\t\t</p>"
+				echo " \n\t\t\t<img src='ico/GBBlatt_link.png' width='16' height='16' alt=''></a>";
+			echo "\n\t\t</p>"
 		."</td>"
 	."\n</tr>";
@@ -449,13 +450,16 @@
 	}
 }
+
+echo "\n<div class='buttonbereich noprint'><hr>"
+	."\n\t<a title='zur&uuml;ck' href='javascript:history.back()'><img src='ico/zurueck.png' width='16' height='16' alt='zur&uuml;ck'></a>&nbsp;"
+	."\n\t<a title='Drucken' href='javascript:window.print()'><img src='ico/print.png' width='16' height='16' alt='Drucken'></a>&nbsp;";
+if ($blattkey == 5000) { // Nicht bei "fiktives Blatt"
+	echo "\n\t<img src='ico/download_gb_no.png' width='32' height='16' alt='Export' title='F&uuml;r ein fiktives Blatt ohne Eigent&uuml;mer ist ein CSV-Export nicht sinnvoll.'>"; 
+} else {
+	echo "\n\t<a title='Export als CSV' href='javascript:ALKISexport(\"".$gmlid."\")'><img src='ico/download_gb.png' width='32' height='16' alt='Export'></a>";
+}
+echo "&nbsp;\n</div>";
+footer($gmlid, $_SERVER['PHP_SELF']."?", "");
 ?>
-
-<div class='buttonbereich noprint'>
-	<hr>
-	<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.png" width="16" height="16" alt="zur&uuml;ck"></a>&nbsp;
-	<a title="Drucken" href='javascript:window.print()'><img src="ico/print.png" width="16" height="16" alt="Drucken"></a>&nbsp;
-	<a title="Export als CSV" href='javascript:ALKISexport()'><img src="ico/download_gb.png" width="32" height="16" alt="Export"></a>&nbsp;
-</div>
-<?php footer($gmlid, $_SERVER['PHP_SELF']."?", ""); ?>
 </body>
 </html>
